Bug 185142 - Update for multimedia/mplayer and mencoder to a new snapshot + fixes
Summary: Update for multimedia/mplayer and mencoder to a new snapshot + fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-23 18:00 UTC by Thomas Zander
Modified: 2013-12-24 17:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.98 KB, patch)
2013-12-23 18:00 UTC, Thomas Zander
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander 2013-12-23 18:00:00 UTC
Address multiple mplayer + mencoder problems
- Wrong aspect ratio in certain (old) h264 files (Thanks Carl + Reimar for fixing this upstream)
- Proper handling of RTCPU. Fixes ports/184937 and ports/153776
- Remove explicit cat pkg_messag. Fixes ports/184945

Also please clean up other PRs:
- liveMedia is not supported any longer. Fixes ports/181520
- Dependency registration on screensaver works now. Fixes ports/177721

Fix: Apply attached patch

Patch attached with submission follows:
Comment 1 dfilter service freebsd_committer 2013-12-24 17:26:30 UTC
Author: thierry
Date: Tue Dec 24 17:26:22 2013
New Revision: 337376
URL: http://svnweb.freebsd.org/changeset/ports/337376

Log:
  . Update to 1.1.20131223
  
  . This addresses multiple mplayer + mencoder problems:
  - Wrong aspect ratio in certain (old) h264 files
    (Thanks Carl + Reimar for fixing this upstream)
  - Proper handling of RTCPU. Fixes ports/184937 and ports/153776
  - Remove explicit cat pkg_messag. Fixes ports/184945
  - Dependency registration on screensaver works now. Fixes ports/177721
  
  PR:		ports/185142
  Submitted by:	Thomas Zander (maintainer)

Modified:
  head/multimedia/mencoder/Makefile
  head/multimedia/mencoder/distinfo
  head/multimedia/mplayer/Makefile
  head/multimedia/mplayer/Makefile.options
  head/multimedia/mplayer/Makefile.shared
  head/multimedia/mplayer/distinfo

Modified: head/multimedia/mencoder/Makefile
==============================================================================
--- head/multimedia/mencoder/Makefile	Tue Dec 24 17:23:23 2013	(r337375)
+++ head/multimedia/mencoder/Makefile	Tue Dec 24 17:26:22 2013	(r337376)
@@ -23,7 +23,7 @@ OCFLAGS_DESC?=	Use optimized compiler fl
 OPUS_DESC?=	Opus decoding with libopus
 OTCHAIN_DESC?=	Use gcc 4.6+ toolchain on legacy systems
 REAL_DESC?=	Enable realplayer plugin
-RTCPU_DESC?=	Use runtime CPU detection
+RTCPU_DESC?=	Use runtime CPU detection on supported archs
 WIN32_DESC?=	Install win32 binary codecs
 
 RESTRICTED=	Port has restricted dependencies

Modified: head/multimedia/mencoder/distinfo
==============================================================================
--- head/multimedia/mencoder/distinfo	Tue Dec 24 17:23:23 2013	(r337375)
+++ head/multimedia/mencoder/distinfo	Tue Dec 24 17:26:22 2013	(r337376)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.1.20131109.tar.xz) = 5647919b61f01396af20273419d5fc74f8b3523177c40e7d1ca063ad45eb13eb
-SIZE (mplayer-1.1.20131109.tar.xz) = 10738036
+SHA256 (mplayer-1.1.20131223.tar.xz) = 925401be982510bf1a04da771aa7cbaca27c1acefc70d23100cf2120ba42c7ab
+SIZE (mplayer-1.1.20131223.tar.xz) = 10922300

Modified: head/multimedia/mplayer/Makefile
==============================================================================
--- head/multimedia/mplayer/Makefile	Tue Dec 24 17:23:23 2013	(r337375)
+++ head/multimedia/mplayer/Makefile	Tue Dec 24 17:26:22 2013	(r337376)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mplayer
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	0
 
 COMMENT=	High performance media player supporting many formats
 
@@ -31,7 +31,7 @@ OPUS_DESC?=	Opus decoding with libopus
 OTCHAIN_DESC?=	Use gcc 4.6+ toolchain on legacy systems
 REAL_DESC?=	Enable realplayer plugin
 RTC_DESC?=	Add support for kernel real time clock
-RTCPU_DESC?=	Use runtime CPU detection
+RTCPU_DESC?=	Use runtime CPU detection on supported archs
 SKINS_DESC?=	Install skins for GUI
 WIN32_DESC?=	Install win32 binary codecs
 X11DGA_DESC?=	X11 DGA video driver support
@@ -180,6 +180,5 @@ post-install:
 	@(cd ${STAGEDIR}${MAN1PREFIX}/man/man1 && ${LN} -sf mplayer.1.gz gmplayer.1.gz)
 	${CP} -f ${WRKSRC}/etc/mplayer256x256.png ${STAGEDIR}${LOCALBASE}/share/pixmaps/mplayer.png
 .endif
-	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>

Modified: head/multimedia/mplayer/Makefile.options
==============================================================================
--- head/multimedia/mplayer/Makefile.options	Tue Dec 24 17:23:23 2013	(r337375)
+++ head/multimedia/mplayer/Makefile.options	Tue Dec 24 17:26:22 2013	(r337376)
@@ -112,8 +112,10 @@ EXTRA_PATCHES+=	${FILESDIR}/extra-patch-
 #On i386, gcc runs out of general purpose registers when
 #trying to compile a debug version with the default flags.
 .if ${PORT_OPTIONS:MDEBUG}
+WITH_DEBUG=	yes
+CONFIGURE_ARGS=+	--enable-debug
 .if ${ARCH} == "i386"
-DEBUG_FLAGS=	-g -O -fomit-frame-pointer
+DEBUG_FLAGS=	-g -fomit-frame-pointer
 .endif
 .else
 .if ${PORT_OPTIONS:MOCFLAGS}
@@ -128,6 +130,11 @@ CFLAGS+=	-O -fomit-frame-pointer
 MPLAYER_CLANG_SUPPORTED_ARCH=	yes
 .endif
 
+# Supported architectures for runtime CPU detection
+.if ${ARCH} == "amd64" || ${ARCH} == "i386" || ${ARCH} == "ppc"
+MPLAYER_RTCPU_SUPPORTED_ARCH=	yes
+.endif
+
 # Unsupported architectures for inline assembly
 .if ${ARCH} == "ppc"
 CONFIGURE_ARGS+=	--disable-asm
@@ -137,12 +144,9 @@ CONFIGURE_ARGS+=	--disable-asm
 .if ${ARCH} == "sparc64"
 BROKEN=		Does not compile on sparc64
 .endif
-.if ${ARCH} == "ia64"
-BROKEN=		Does not detect CPU correctly on ia64
-.endif
-
 
-.if ${PORT_OPTIONS:MRTCPU}
+.if ${PORT_OPTIONS:MRTCPU} \
+	&& defined(MPLAYER_RTCPU_SUPPORTED_ARCH)
 CONFIGURE_ARGS+=--enable-runtime-cpudetection
 .endif
 

Modified: head/multimedia/mplayer/Makefile.shared
==============================================================================
--- head/multimedia/mplayer/Makefile.shared	Tue Dec 24 17:23:23 2013	(r337375)
+++ head/multimedia/mplayer/Makefile.shared	Tue Dec 24 17:26:22 2013	(r337376)
@@ -4,7 +4,7 @@
 #
 # $FreeBSD$
 
-MPLAYER_SNAPSHOT_DATE=	2013-11-09
+MPLAYER_SNAPSHOT_DATE=	2013-12-23
 MPLAYER_PORT_VERSION=	1.1.r${MPLAYER_SNAPSHOT_DATE:S/-//g}
 CATEGORIES?=	multimedia audio
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}

Modified: head/multimedia/mplayer/distinfo
==============================================================================
--- head/multimedia/mplayer/distinfo	Tue Dec 24 17:23:23 2013	(r337375)
+++ head/multimedia/mplayer/distinfo	Tue Dec 24 17:26:22 2013	(r337376)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.1.20131109.tar.xz) = 5647919b61f01396af20273419d5fc74f8b3523177c40e7d1ca063ad45eb13eb
-SIZE (mplayer-1.1.20131109.tar.xz) = 10738036
+SHA256 (mplayer-1.1.20131223.tar.xz) = 925401be982510bf1a04da771aa7cbaca27c1acefc70d23100cf2120ba42c7ab
+SIZE (mplayer-1.1.20131223.tar.xz) = 10922300
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Thierry Thomas freebsd_committer 2014-06-01 08:05:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 08:05:36 UTC
State Changed
From-To: open->closed


Committed, thanks!